.gallery-container {
  display: grid;
  grid-template-columns: repeat(
    3,
    minmax(0, 1fr)
  ); /* 3 columns with equal width (1 fraction of the remaining space for each column) */
  gap: 20px;
  margin: 20px;
}

@media (max-width: 576px) {
  .gallery-container {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
}

.gallery-card {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #c0e1d2;
  color: black;
  border-radius: 20px;
  text-align: center;
  padding: 20px;
  width: 100%;
  height: 100px;
}

.gallery-username {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  min-width: 0;
  width: 100%;
}
